#
# spec file for package perl-gettext
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-gettext
%define cpan_name gettext
Summary:        Message handling functions
License:        Artistic-1.0 or GPL-2.0+
Group:          Development/Libraries/Perl
Version:        1.05
Release:        167.102
Url:            http://search.cpan.org/dist/gettext/
Source:         http://www.cpan.org/authors/id/P/PV/PVANDRY/gettext-%{version}.tar.gz
Patch0:         %{name}-%{version}-POSIX.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
The gettext module permits access from perl to the gettext() family of
functions for retrieving message strings from databases constructed to
internationalize software.

gettext(), dgettext(), and dcgettext() attempt to retrieve a string
matching their 'msgid' parameter within the context of the current locale.
dcgettext() takes the message's category and the text domain as parameters
while dcgettext() defaults to the LC_MESSAGES category and gettext()
defaults to LC_MESSAGES and uses the current text domain. If the string is
not found in the database, then 'msgid' is returned.

textdomain() sets the current text domain and returns the previously active
domain.

_bindtextdomain(domain, dirname)_ instructs the retrieval functions to look
for the databases belonging to domain 'domain' in the directory 'dirname'

%prep
%setup -q -n %{cpan_name}-%{version}
%patch0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc README

%changelog
* Wed Feb 27 2013 coolo@suse.com
- update license to new format
* Thu Nov 17 2011 coolo@suse.com
- use original tar
* Mon Apr 11 2011 chris@computersalat.de
- recreated by cpanspec 1.78.03
- removed old Obsoletes/Provides perl_gtx
* Sun Apr 10 2011 crrodriguez@opensuse.org
- USe perl macros to generate filelist
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Dec  6 2009 jengelh@medozas.de
- enable parallel building
* Wed Jan 30 2008 pth@suse.de
- Fix bug reference.
* Tue Jan 29 2008 anicka@suse.de
- fix mismatched prototypes [bnc#353715]
- fix specfile (rpmlint warnings), enable tests
* Sun May 27 2007 rguenther@suse.de
- add perl BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jul 11 2005 schubi@suse.de
- update to 1.05
* Fri Apr 15 2005 schubi@suse.de
- update to 1.04
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 schwab@suse.de
- Update specfile.
* Tue Jun 17 2003 choeger@suse.de
- updated filelist
* Thu Aug  8 2002 mls@suse.de
- use sitearch macro
* Wed Nov 15 2000 ro@suse.de
- use BuildRoot
* Wed Nov 15 2000 ro@suse.de
- renamed package perl_gtx to perl-gettext
* Wed Sep 20 2000 schwab@suse.de
- Fix missing declarations.
* Wed May 31 2000 choeger@suse.de
- first version, 1.01
